const baseUrl = '/api'

// if (process.env.NODE_ENV === 'testing') {
//     // baseUrl = store.state.apiTestUrl + 'api';
// } else if (process.env.NODE_ENV === 'production') {
//     // baseUrl = store.state.apiUrl + 'api';
//     baseUrl = '/api'
// }

// todo: url
const httpUrl = 'https://repairtest.zeruiedu.com' // 测试接口
const h5Url ='http://localhost:8080' // 测试h5线上地址
// const h5Url = 'http://repair.h5.zeruiedu.com' // 测试h5线上地址
window.localStorage.setItem('httpUrl', httpUrl)
window.localStorage.setItem('h5Url', h5Url)
// const httpUrl = 'https://fenghexm.xueyoubangedu.com' // 正式接口
// const h5Url = 'http://depository.fhxmcy.com' // 正式h5线上地址

const wxLogin = '/api/worker/login' // 微信登录获取token、登录状态
window.localStorage.setItem('wxLogin', wxLogin)
const curScope = 'scopes=snsapi_base&type=1'

export default {

    // url地址
    WINDOWHREF_LOGIN: `${httpUrl}${wxLogin}?callBack=${h5Url}/login&${curScope}`, // 身份失效跳转的登录
    WINDOWHREF_LOGIN_TOKEN: `${httpUrl}${wxLogin}?callBack=${window.location.href}&${curScope}`, // 获取token和登录状态
    WINDOWHREF_INDEX: `${httpUrl}${wxLogin}?callBack=${h5Url}&${curScope}`, // 没用到
    WINDOWHREF_ASK: `${httpUrl}${wxLogin}?callBack=${h5Url}&scopes=snsapi_userinfo&type=1`, // 绑定后用户进行授权

    // 登录相关
    SENDCODE: baseUrl + '/worker/send', // 发送验证码
    BINDLOGIN: baseUrl + '/worker/bind/login', // 手机号验证码登录绑定微信
    REFRESHTOKEN: baseUrl + '/worker/change/token',

    USERINFO: baseUrl + '/worker/user/info', // 获取用户信息
    REPAIR_LIST: baseUrl + '/worker/repair/list', // 工人/审核员端报修单列表
    ORDER_STATUS: baseUrl + '/worker/repair/order/status', // 获取订单状态
    REPAIR_BEGIN: baseUrl + '/worker/repair/begin', // 开始维修接口
    REPAIR_ORDER_DETAIL: baseUrl + '/worker/repair/order/detail', // 报修单详情
    REPAIR_ORDER: baseUrl + '/worker/material/order', // 发起收费生成耗材单
    MATERIAL_REMARK: baseUrl + '/worker/material/remark', // 备注耗材
    REPAIR_MATERIAL_SHOW: baseUrl + '/worker/material/show', // 查看耗材
    REPAIR_TRANSFER: baseUrl + '/worker/repair/transfer', // 发起转单
    REPAIR_COMPLETE: baseUrl + '/worker/repair/complete', // 确认完成
    REPAIR_APPRAISAL: baseUrl + '/worker/repair/appraisal', // 查看评论
    USER_EDIT: baseUrl + '/worker/user/edit', // 修改手机号

    // 管理员端
    GET_WORKER: baseUrl + '/worker/get/worker', // 查看评论
    REPAIR_CANCEL: baseUrl + '/worker/repair/cancel', // 查看评论
    REPAIR_ASSIGN: baseUrl + '/worker/repair/assign' // 指派工人
}
